Esempio n. 1
0
        public static List <SurfaceSlopeArrowContourTable> GetSurfaceSlopeArrowContourTables(Autodesk.AutoCAD.DynamoNodes.Document document)
        {
            List <SurfaceSlopeArrowContourTable> retList = new List <SurfaceSlopeArrowContourTable>();

            foreach (DBObject dbOb in GetStylesAsDBObjects(document, CivilDocument.GetCivilDocument(document.AcDocument.Database).Styles.TableStyles.SurfaceSlopeArrowContourTableStyles))
            {
                SurfaceSlopeArrowContourTable style = new SurfaceSlopeArrowContourTable(dbOb, false);
                retList.Add(style);
            }
            return(retList);
        }
Esempio n. 2
0
        public static SurfaceSlopeArrowContourTable ByName(Autodesk.AutoCAD.DynamoNodes.Document document, string styleName)
        {
            SurfaceSlopeArrowContourTable retStyle = new SurfaceSlopeArrowContourTable(CivilStyle.DBObjectByName(document, CivilDocument.GetCivilDocument(document.AcDocument.Database).Styles.TableStyles.SurfaceSlopeArrowContourTableStyles, styleName), false);

            return(retStyle);
        }